Gündem

Apple uygulamalarına iOS 7 zorunluluğu

By

on

Apple geliştiricilerine ait bir web sitede, tüm geliştiricilerin 1 Şubat 2014 itibariyle AppStore için iOS 7 uyumlu ve Xcode 5 yapılı uygulamalar hazırlamaları gerekeceği açıklandı.

Şu ana kadar AppStore, hem iOS 6 hem de iOS 7 tabanlı uygulamaları kabul etmekteydi. Bu sebeple uygulamalar, hem son sürüm işletim sistemi kullanan kullanıcılar için hem de işletim sistemlerini güncellemeyen kullanıcılar için çalışabilir durumdaydı. Ayrıca uygulamaların her iki sürüm için ayrı arayüzleri oluşturuluyor, bu da geliştiricileri zora sokuyordu. Ancak 1 Şubat itibariyle şirketler, uygulamaları iOS 6 ve iOS 7 için uyumlu hale getirme zahmetinden kurtulmuş olacak.

Apple tarafından geliştiricilere, farklılıklar az olduğu takdirde “eski” iOS 6 arayüzlerini iOS 7’de kullanmalarına izin vermişti. Ancak bu durum geliştiriciler için kararsız kalma durumunu meydana getirmişti. Uygulama geliştiricilerinden David Duncan, geçtiğimiz aylarda bu durumu şu şekilde özetledi: “Uygulamaların esnek bir yapıya sahip olması, tam olarak ne iOS 6 ne de iOS 7 uyumu sağlıyor. İkisinin arasında bir yerde kalıyor.”

iOS 7 kullanımının gün geçtikçe hızla artması, iOS 6 uyumluluğuna olan ihtiyacı da azaltıyor. Apple’ın eski arayüzler için yapılmış olan uygulamalardan desteğini çekmesi için de bazı sebepleri var. Bu sebeplerin başında programcıları belirli bir alana yoğunlaştırabilmek geliyor. Şirketin programcılara farklı teknolojiler için geniş bir yelpazede destek vermesi, bu durumda daha fazla sorunla karşı karşıya gelmesi ve daha zor çözümler üretebilecek olması anlamına geliyor.

iOS 6 desteğinin sona ermesinin, uzun vadede iOS 7 için de olumlu sonuçlar doğurması bekleniyor. Her geçen gün artmakta olan iOS 7 cihazlara şirketin uygulamalar için teknik destek sağlaması daha kolay olacak.

Apple’ın iOS 6’dan desteğini çekecek olması, iOS 6 uyumlu uygulamalara AppStore’da izin vermeyeceği anlamına gelmiyor tabii ki. Ancak uygulamaların iOS 7 için tam desteğe ve iOS 7 için özel tasarlanmış arayüzüne sahip olması gerekiyor.

iOS 7 arayüzünün iOS 6’dan ne kadar farklı olduğu göze alındığında, çoğu geliştiricinin eski sürüm için olan desteği keseceği düşünülüyor. Bu durum da son güncelleme için uygun olan cihazların iOS 7’ye geçişine katkıda bulunacak gibi görünüyor.

About admin

Recommended for you

Leave a Reply

E-posta hesabınız yayımlanmayacak. Gerekli alanlar * ile işaretlenmişlerdir